org.gradle.nativebinaries

## Interface OperatingSystem

- All Superinterfaces:
    Named

      @Incubating
      public interface OperatingSystem
      extends Named

  A machine operating system.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCurrent()`
    `boolean` | `isLinux()`
    `boolean` | `isMacOsX()`
    `boolean` | `isSolaris()`
    `boolean` | `isWindows()`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### isCurrent

          boolean isCurrent()

    - #### isWindows

          boolean isWindows()

    - #### isMacOsX

          boolean isMacOsX()

    - #### isLinux

          boolean isLinux()

    - #### isSolaris

          boolean isSolaris()